Package org.apache.uima.resource.impl

# Class ExternalResourceDependency_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.impl.ExternalResourceDependency_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ExternalResourceDependency`, `MetaDataObject`, `XMLizable`

public class ExternalResourceDependency_impl extends MetaDataObject_impl implements ExternalResourceDependency
Reference implementation of `ExternalResourceDependency`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalResourceDependency_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Retrieves the textual description of the resource.
  `String`
  `getInterfaceName()`
  Retrieves the name of the Java interface through which this resource will be accessed.
  `String`
  `getKey()`
  Retrieves the key by which the resource is identified.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `boolean`
  `isOptional()`
  Gets whether this resource dependency is optional.
  `void`
  `setDescription(String aDescription)`
  Retrieves the textual description of the resource.
  `void`
  `setInterfaceName(String aName)`
  Sets the name of the Java interface through which this resource will be accessed.
  `void`
  `setKey(String aKey)`
  Sets the key by which the resource is identified.
  `void`
  `setOptional(boolean aOptional)`
  Sets whether this resource dependency is optional.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### ExternalResourceDependency_impl

    public ExternalResourceDependency_impl()

- ## Method Details

  - ### getKey

    public String getKey()
    Description copied from interface: `ExternalResourceDependency`
    Retrieves the key by which the resource is identified.
    Specified by:
      `getKey` in interface `ExternalResourceDependency`
    Returns:
      the key for this resource.
    See Also:
      - `ExternalResourceDependency.getKey()`

  - ### getInterfaceName

    public String getInterfaceName()
    Description copied from interface: `ExternalResourceDependency`
    Retrieves the name of the Java interface through which this resource will be accessed.
    Specified by:
      `getInterfaceName` in interface `ExternalResourceDependency`
    Returns:
      the name of the Java interface for this external resource, `null` if none.
    See Also:
      - `ExternalResourceDependency.getInterfaceName()`

  - ### setKey

    public void setKey(String aKey)
    Description copied from interface: `ExternalResourceDependency`
    Sets the key by which the resource is identified.
    Specified by:
      `setKey` in interface `ExternalResourceDependency`
    Parameters:
      `aKey` - the key for this resource.
    See Also:
      - `ExternalResourceDependency.setKey(String)`

  - ### setInterfaceName

    public void setInterfaceName(String aName)
    Description copied from interface: `ExternalResourceDependency`
    Sets the name of the Java interface through which this resource will be accessed.
    Specified by:
      `setInterfaceName` in interface `ExternalResourceDependency`
    Parameters:
      `aName` - the name of the Java interface for this external resource, `null` if none.
    See Also:
      - `ExternalResourceDependency.setInterfaceName(String)`

  - ### getDescription

    public String getDescription()
    Description copied from interface: `ExternalResourceDependency`
    Retrieves the textual description of the resource.
    Specified by:
      `getDescription` in interface `ExternalResourceDependency`
    Returns:
      the textual description of the resource.
    See Also:
      - `ExternalResourceDependency.getDescription()`

  - ### isOptional

    public boolean isOptional()
    Description copied from interface: `ExternalResourceDependency`
    Gets whether this resource dependency is optional. Dependencies that are not optional must be linked to resource definitions prior to instantiating the Analysis Engine, or an exception will be thrown.
    Specified by:
      `isOptional` in interface `ExternalResourceDependency`
    Returns:
      true if this resource dependency is optional, false if not
    See Also:
      - `ExternalResourceDependency.isOptional()`

  - ### setDescription

    public void setDescription(String aDescription)
    Description copied from interface: `ExternalResourceDependency`
    Retrieves the textual description of the resource.
    Specified by:
      `setDescription` in interface `ExternalResourceDependency`
    Parameters:
      `aDescription` - the textual description of the resource.
    See Also:
      - `ExternalResourceDependency.setDescription(java.lang.String)`

  - ### setOptional

    public void setOptional(boolean aOptional)
    Description copied from interface: `ExternalResourceDependency`
    Sets whether this resource dependency is optional. Dependencies that are not optional must be linked to resource definitions prior to instantiating the Analysis Engine, or an exception will be thrown.
    Specified by:
      `setOptional` in interface `ExternalResourceDependency`
    Parameters:
      `aOptional` - true if this resource dependency is optional, false if not
    See Also:
      - `ExternalResourceDependency.setOptional(boolean)`

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation